library authSSP;
{.DEFINE USE_DLL} // Use DLL instead of statically-linked code

uses
  Windows
  {$IFNDEF USE_DLL}
  , uYubikey
  {$ENDIF}
  ;

{$IFDEF USE_DLL}
function PKYubikeyValidateOTP(Name, OTP: PChar): Longint; stdcall; external 'PKubikeyDLL.dll';
{$ENDIF}

//__declspec(dllexport) int CUPSD(const char * userin, const char *password, const char *machine)
function CUPSD(userin: PChar; password: PChar; machine: PChar): integer; cdecl; export;
begin
  if PKYubikeyValidateOTP(userin, password) = 0 then
    Result := 1
  else
    Result := 0;
end;

//__declspec(dllexport) void vncEditSecurity(HWND hwnd, HINSTANCE hInstance)
procedure vncEditSecutiry(hwnd: HWND; hInstance: HINST);
begin
  // Nothing to do
end;

exports CUPSD;

begin
end.
